summaryrefslogtreecommitdiff
path: root/tests/misc/wc-files0-from
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2007-08-14 10:21:48 +0200
committerJim Meyering <jim@meyering.net>2007-09-15 08:40:38 +0200
commit7a6a30b8a2dea2a1b49d43ee9ab70880a0aa435a (patch)
treee61ff081a62c3c4a030aa792d8bc47bafa112f6f /tests/misc/wc-files0-from
parent5c2f8101c52c775be38af0ee4656c3e91d1c289e (diff)
downloadcoreutils-7a6a30b8a2dea2a1b49d43ee9ab70880a0aa435a.tar.xz
Add support for parallel "make check" (in tests/misc, for now)
Diffstat (limited to 'tests/misc/wc-files0-from')
-rwxr-xr-xtests/misc/wc-files0-from20
1 files changed, 10 insertions, 10 deletions
diff --git a/tests/misc/wc-files0-from b/tests/misc/wc-files0-from
index eab8c6ece..53511c84a 100755
--- a/tests/misc/wc-files0-from
+++ b/tests/misc/wc-files0-from
@@ -23,6 +23,8 @@
. $srcdir/../envvar-check
+PROG=`echo $0|sed 's,.*/,,'`; export PROG
+
$PERL -e 1 > /dev/null 2>&1 || {
echo 1>&2 "$0: configure didn't find a usable version of Perl," \
"so can't run this test"
@@ -37,8 +39,7 @@ use strict;
(my $program_name = $0) =~ s|.*/||;
-$ENV{PROG} = 'wc';
-my $ME = $ENV{PROG};
+my $prog = 'wc';
# Turn off localization of executable's ouput.
@ENV{qw(LANGUAGE LANG LC_ALL)} = ('C') x 3;
@@ -47,14 +48,14 @@ my @Tests =
(
# invalid extra command line argument
['f-extra-arg', '--files0-from=- no-such', {IN=>"a"}, {EXIT=>1},
- {ERR => "$ME: extra operand `no-such'\n"
+ {ERR => "$prog: extra operand `no-such'\n"
. "File operands cannot be combined with --files0-from.\n"
- . "Try `$ME --help' for more information.\n"}
+ . "Try `$prog --help' for more information.\n"}
],
# missing input file
['missing', '--files0-from=missing', {EXIT=>1},
- {ERR => "$ME: cannot open `missing' for reading: "
+ {ERR => "$prog: cannot open `missing' for reading: "
. "No such file or directory\n"}],
# empty input
@@ -65,13 +66,13 @@ my @Tests =
# one NUL
['nul-1', '--files0-from=-', '<', {IN=>"\0"}, {EXIT=>1},
- {ERR => "$ME: : No such file or directory\n"}],
+ {ERR => "$prog: : No such file or directory\n"}],
# two NULs
['nul-2', '--files0-from=-', '<', {IN=>"\0\0"}, {EXIT=>1},
{OUT=>"0 0 0 total\n"},
- {ERR => "$ME: : No such file or directory\n"
- . "$ME: : No such file or directory\n"}],
+ {ERR => "$prog: : No such file or directory\n"
+ . "$prog: : No such file or directory\n"}],
# one file name, no NUL
['1', '--files0-from=-', '<',
@@ -95,13 +96,12 @@ my @Tests =
['zero-len', '--files0-from=-', '<',
{IN=>{f=>"\0g\0"}}, {AUX=>{g=>''}},
{OUT=>"0 0 0 g\n0 0 0 total\n"},
- {ERR => "$ME: : No such file or directory\n"}, {EXIT=>1} ],
+ {ERR => "$prog: : No such file or directory\n"}, {EXIT=>1} ],
);
my $save_temps = $ENV{DEBUG};
my $verbose = $ENV{VERBOSE};
-my $prog = $ENV{PROG} || die "$0: \$PROG not specified in environment\n";
my $fail = run_tests ($program_name, $prog, \@Tests, $save_temps, $verbose);
exit $fail;
EOF